using VT.FW.DB;
using Mall.Common.Enum.User;
using System;
using System.Collections.Generic;
using System.Text;

namespace Mall.Model.Entity.Product
{
    /// <summary>
    /// 商品代理信息表实体
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_Goods_Proxy
    {

        /// <summary>
        /// Id
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 原商品id
        /// </summary>        
        public int? GoodsId
        {
            get;
            set;
        }
        /// <summary>
        /// 原商户号
        /// </summary>        
        public int TenantId
        {
            get;
            set;
        }
        /// <summary>
        /// 原小程序id
        /// </summary>        
        public int MallBaseId
        {
            get;
            set;
        }
        /// <summary>
        /// 代理商品id
        /// </summary>        
        public int? ProxyGoodsId
        {
            get;
            set;
        }
        /// <summary>
        /// 代理商户
        /// </summary>        
        public int ProxyTenantId
        {
            get;
            set;
        }
        /// <summary>
        /// 代理小程序id
        /// </summary>        
        public int ProxyMallBaseId
        {
            get;
            set;
        }
        /// <summary>
        /// 删除状态  0正常
        /// </summary>        
        public int? Status
        {
            get;
            set;
        }
        /// <summary>
        /// 描述
        /// </summary>        
        public string Remark
        {
            get;
            set;
        }
        /// <summary>
        /// CreateDate
        /// </summary>        
        public DateTime? CreateDate
        {
            get;
            set;
        }
    }
}
